Name:           neovim-qt
Version:        0.2.17
Release:        %mkrel 1
Summary:        Neovim client library and GUI, in Qt5
Group:          Editors
License:        ISC
URL:            https://github.com/equalsraf/neovim-qt/wiki
Source0:        https://github.com/equalsraf/neovim-qt/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  pkgconfig(msgpack)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  neovim
Requires:       neovim

Provides:       nvim-qt = %{version}-%{release}

%description
Neovim client library and GUI, in Qt5.

%prep
%autosetup

%build
%cmake -GNinja \
       -DUSE_SYSTEM_MSGPACK=ON
%ninja_build -C %{_vpath_builddir}

%install
%ninja_install -C %{_vpath_builddir}

%__mkdir_p %{buildroot}%{_libdir}
%__install -Dm 0755 build/lib/libneovim-qt-gui.so %{buildroot}%{_libdir}/libneovim-qt-gui.so

%files
%license LICENSE
%doc README.md CONTRIBUTING.md
%{_bindir}/nvim-qt
%{_datadir}/applications/nvim-qt.desktop
%{_datadir}/nvim-qt/
%{_iconsdir}/hicolor/*/apps/nvim-qt.*
%{_libdir}/libneovim-qt-gui.so


%changelog
* Sun Sep 25 2022 kekepower <kekepower> 0.2.17-1.mga9
+ Revision: 1892264
- Update to version 0.2.17

* Mon Apr 04 2022 umeabot <umeabot> 0.2.16.1-3.mga9
+ Revision: 1843286
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.2.16.1-2.mga8
+ Revision: 1659122
- Rebuild for new Qt5

* Fri Jul 31 2020 kekepower <kekepower> 0.2.16.1-1.mga8
+ Revision: 1610027
- Update to version 0.2.16.1

* Wed Jun 17 2020 kekepower <kekepower> 0.2.16-1.mga8
+ Revision: 1594081
- Update to version 0.2.16

* Mon Feb 17 2020 umeabot <umeabot> 0.2.15-2.mga8
+ Revision: 1537518
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Nov 03 2019 kekepower <kekepower> 0.2.15-1.mga8
+ Revision: 1457386
- Update to version 0.2.15

* Mon Oct 14 2019 kekepower <kekepower> 0.2.14-1.mga8
+ Revision: 1453052
- Update to version 0.2.14

* Sat Aug 10 2019 kekepower <kekepower> 0.2.13-1.mga8
+ Revision: 1428486
- Update to version 0.2.13

* Sun Mar 31 2019 umeabot <umeabot> 0.2.12-3.mga7
+ Revision: 1383501
- Qt5 Rebuild

* Mon Jan 21 2019 kekepower <kekepower> 0.2.12-2.mga7
+ Revision: 1358816
- Install libneovim-qt-gui library

* Sun Jan 13 2019 kekepower <kekepower> 0.2.12-1.mga7
+ Revision: 1355892
- imported package neovim-qt

